3

I recently installed Ubuntu Gnome 15.04. I have legacy apps I need to run in Windows, so I installed Windows 10 on another PC.

For integration, I want to use winncon and therefore also need freerdp.

winconn's dependencies are python-apport, libfreerdp1 and freerdp-x11. I couldn't use its ppa since it isn't updated. I installed all the dependencies myself but for libfreerdp1 which was split into pieces. I installed those pieces afterwards.

Now when I open the Ubuntu Software Center, it gives me an error:

The following packages have unmet dependencies:  
winconn: Depends: python (>= 2.7.1-0ubuntu2) but 2.7.9-1 is installed  
         Depends: libfreerdp1 but it is not installed  

winconn also fails with error -11. I don't know if this is libfreerdp's fault or caused by some other issue.

I used these commands to install winncon on my system:

wget https://launchpad.net/~realender/+archive/ubuntu/winconn/+files/winconn_0.2.14-1_all.deb
sudo dpkg --force-all -i winconn_0.2.14-1_all.deb

I installed the missing dependencies: libfreerdp-cache1.1 libfreerdp-codec1.1 libfreerdp-gdi1.1 libfreerdp-rail1.1 libfreerdp-utils1.1 python-apport freerdp-x11 using the Ubuntu Software Center.

Ps: My thanks to the community for editing this messy post!

  • I used .deb, by terminal you mean downloading the source and installing that? – Scordy Sep 9 '15 at 15:57
  • I can't even find it in the software center, it's a package for 12.10 I believe. – Scordy Sep 9 '15 at 16:04
  • yes for 12.04 and 12.10....it seems you followed here – Ravan Sep 9 '15 at 16:07
  • Yes indeed, did I go wrong Ravan or is this really not possible to install on 15.04? – Scordy Sep 9 '15 at 16:09
  • I installed all the depedencies via the software center and they were installed fine I think. Except libfreerdp1. Which I think could be the troublemaker. – Scordy Sep 9 '15 at 16:17
4

As you have already installed the necessary packages via

sudo apt-get install libfreerdp-cache1.1 libfreerdp-codec1.1 libfreerdp-gdi1.1 libfreerdp-rail1.1 libfreerdp-utils1.1 python-apport freerdp-x11

You can install the winconn package with a quick hack

cd; wget https://launchpad.net/~realender/+archive/ubuntu/winconn/+files/winconn_0.2.14-1_all.deb
mkdir deb$$
cp winconn_0.2.14-1_all.deb deb$$
cd deb$$
dpkg-deb -x winconn_0.2.14-1_all.deb deb
cd deb
dpkg-deb -e ../winconn_0.2.14-1_all.deb
perl -i -pe 's/libfreerdp1,//g' DEBIAN/control  
cd .. 
sudo dpkg-deb -b deb
sudo dpkg -i deb.deb
sudo apt-get install -f
sudo dpkg -i deb.deb

And here is a screenshot with winconn in Vivid

enter image description here

  • 1
    Oh my goodness, can't thank you enough. That answer is ten times more detailed then I have ever gotten on any website ever. I'm blown away, thank you! – Scordy Sep 10 '15 at 20:20
  • OMG! This works perfect to me! (Ubuntu 16.04) – ONe Zetty Jul 14 '17 at 14:58

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.